import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

import { ReviewHistoryEntryDetailComponent } from './review-history-entry-detail.component';

describe('ReviewHistoryEntry Management Detail Component', () => {
  let comp: ReviewHistoryEntryDetailComponent;
  let fixture: ComponentFixture<ReviewHistoryEntryDetailComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [ReviewHistoryEntryDetailComponent],
      providers: [
        {
          provide: ActivatedRoute,
          useValue: { data: of({ reviewHistoryEntry: { id: 123 } }) },
        },
      ],
    })
      .overrideTemplate(ReviewHistoryEntryDetailComponent, '')
      .compileComponents();
    fixture = TestBed.createComponent(ReviewHistoryEntryDetailComponent);
    comp = fixture.componentInstance;
  });

  describe('OnInit', () => {
    it('Should load reviewHistoryEntry on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(comp.reviewHistoryEntry).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
