import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { ReviewService } from '../service/review.service';

import { ReviewComponent } from './review.component';

describe('Review Management Component', () => {
  let comp: ReviewComponent;
  let fixture: ComponentFixture<ReviewComponent>;
  let service: ReviewService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      declarations: [ReviewComponent],
    })
      .overrideTemplate(ReviewComponent, '')
      .compileComponents();

    fixture = TestBed.createComponent(ReviewComponent);
    comp = fixture.componentInstance;
    service = TestBed.inject(ReviewService);

    const headers = new HttpHeaders();
    jest.spyOn(service, 'query').mockReturnValue(
      of(
        new HttpResponse({
          body: [{ id: 123 }],
          headers,
        })
      )
    );
  });

  it('Should call load all on init', () => {
    // WHEN
    comp.ngOnInit();

    // THEN
    expect(service.query).toHaveBeenCalled();
    expect(comp.reviews?.[0]).toEqual(expect.objectContaining({ id: 123 }));
  });
});
