import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

import { WatchListEntryDetailComponent } from './watch-list-entry-detail.component';

describe('WatchListEntry Management Detail Component', () => {
  let comp: WatchListEntryDetailComponent;
  let fixture: ComponentFixture<WatchListEntryDetailComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [WatchListEntryDetailComponent],
      providers: [
        {
          provide: ActivatedRoute,
          useValue: { data: of({ watchListEntry: { id: 123 } }) },
        },
      ],
    })
      .overrideTemplate(WatchListEntryDetailComponent, '')
      .compileComponents();
    fixture = TestBed.createComponent(WatchListEntryDetailComponent);
    comp = fixture.componentInstance;
  });

  describe('OnInit', () => {
    it('Should load watchListEntry on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(comp.watchListEntry).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
